package de.hdm_stuttgart.battlearena.Model.DataStorage.Classes;

import de.hdm_stuttgart.battlearena.Model.DataStorage.Classes.ENUMs.ThreadStatus;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class ThreadStartup2 extends Thread{

    private static final Logger log = LogManager.getLogger(ThreadStartup2.class);

    @Override
    public void run() {

        Persistence persistenceInst = Persistence.getInstance();
        RuntimeInfo runtimeInfoInst = RuntimeInfo.getInstance();

        try {
            runtimeInfoInst.setThreadStartup2Msg("");
            runtimeInfoInst.setThreadStartup2(ThreadStatus.RUNNING);
            persistenceInst.loadPlayerAccount();
            log.info("Startup routine part2 complete!");
            runtimeInfoInst.setThreadStartup2(ThreadStatus.FINISHED);
        } catch (Exception e) {
            log.error(e);
            runtimeInfoInst.setThreadStartup2Msg(e.getMessage());
            log.info("Startup routine part2 failed!");
            runtimeInfoInst.setThreadStartup2(ThreadStatus.FAILED);
        }
    }

}
